<?php
session_start();
require_once('conexion.php');
require_once('include/sesiones.php');
if (isset($_SESSION['usu_nombre']))
{
    $regis=mysqli_query($con,"SELECT * from permiso where modulo_mod_id='24' and usuario_usu_id='$usu_id'") or die(mysqli_error($con));
    $reg=mysqli_fetch_array($regis);
    if($reg['per_visualizar']=="Activo")
    {
        if ($aper_num>'0')
        {
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <?php include ('head.php');?>
</head>
<body>
<?php
$inicio="";
$M_inventario="";
$M_contactos="";
$M_compras="";
$M_ventas="";
$M_pedidos="";
$M_pos="active";
$R_reportes="";

$ventas="";
$remisiones="";
$cajas="";
$apartadas="active";
$orden="";
$movimientos="";
$periodica="";  
include ('menu.php');
?> 
<div class="main">
    <div class="col-md-2">
        <?php include ('include/menu_pos.php');?>       
    </div> <!-- /span6 -->
    <div class="col-md-10"> 
        <div id="resultado"></div>
        <div class="widget stacked">
            <div class="widget-header">
                <i class="icon-file-text"></i>
                <h3>MODIFICAR APARTADO</h3>
            </div>  
            <div class="widget-content">
                <?php
                    $vena_id=$_GET['vena_id'];
                    $can=mysqli_query($con,"SELECT * FROM ventas_apartadas where vena_id='$vena_id'") or die(mysqli_error($con)); 
                    $dato=mysqli_fetch_array($can);
                    $Cliente_clie_id=$dato['Cliente_clie_id'];
                    $vena_n_venta=$dato['vena_n_venta'];

                    $dir=mysqli_query($con,"SELECT * FROM cliente  where clie_id='$Cliente_clie_id'") or die(mysqli_error($con)); 
                    $dire=mysqli_fetch_array($dir);
                    $clie_cc=$dire['clie_cc'];
                    $clie_nombre=$dire['clie_nombre'];
                ?> 
                <div class="col-md-4">
                    <div class="form-group">
                        <label> Cliente</label>
                        <input type="text" id="cliente" name="cliente" value="<?php echo $clie_nombre?>" class="form-control input-sm" readonly>
                    </div> <!-- /.form-group -->
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label>Fecha</label>
                        <input type="text" name="com_fecha" value="<?php echo $dato['vena_fecha'];?>" class="form-control input-sm" readonly>
                    </div> <!-- /.form-group -->
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label>Apartado Nº</label>
                        <input type="text" id="n" name="n" value="<?php echo $vena_n_venta;?>" class="form-control input-sm"  readonly>
                    </div> <!-- /.form-group -->
                </div>
                </br></br></br>
                <div class="form-group pull-right">
                    <div class="form-group">
                        <button type="button" class="btn btn-info" data-toggle="modal" data-target="#myModal">
                            <span class="btn-icon-only icon-plus "></span> Agregar productos
                        </button>
                    </div>
                </div> 
                </br></br>
                <input type="hidden" name="vena_id" id="vena_id" value="<?php echo $vena_id;?>" >
                <div id="tabla"></div>  
            </div> <!-- /.form-group -->
        </div>
    </div> <!-- /main -->
</div>
<?php 
  include ('php_buscador/buscador.php');
  include ('script.php'); 
?>
<script>
$(document).ready(function(){
  load(1);
});

function load(page){
var q= $("#q").val();
var tipo=  document.querySelector('input[name="tipo"]:checked').value
var vena_id=$("#vena_id").val();

$("#loader").fadeIn('slow');
$.ajax({
url:'./php_buscador/articulos_apartado.php?action=ajax&page='+page+'&q='+q+'&tipo='+tipo+'&vena_id='+vena_id,
 beforeSend: function(objeto){
 $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
},
success:function(data){
  $(".outer_div").html(data).fadeIn('slow');
  $('#loader').html('');
}
})
}

function loadtabla(){
var vena_id=$("#vena_id").val();
$.get("./php_apartados/tabla_modificar.php?vena_id="+vena_id,function(data){
$("#tabla").html(data);
})
}
loadtabla();


function agregar_articulo (art_art_id)
{
    var vena_id=$("#vena_id").val();
    var art_art_id=document.getElementById('art_art_id'+art_art_id).value;
    var art_referencia=document.getElementById('art_referencia'+art_art_id).value;
    var art_id=document.getElementById('art_id'+art_art_id).value;
    var precio_venta=document.getElementById('precio_venta_'+art_art_id).value;
    var nombre=document.getElementById('nombre_'+art_art_id).value;
    var cantidad=document.getElementById('cantidad_'+art_art_id).value;
    var art_iva=document.getElementById('art_iva'+art_art_id).value;
    var descuento=document.getElementById('descuento'+art_art_id).value;
    var tipo='articulo';
    if (isNaN(cantidad))
    {
        alert('Esto no es un numero');
        document.getElementById('cantidad_'+art_art_id).focus();
        return false;
    }
    if (isNaN(precio_venta))
    {
        alert('Esto no es un numero');
        document.getElementById('precio_venta_'+art_art_id).focus();
        return false;
    }
    $.ajax({
    type: "POST",
    url: "./php_apartados/agregar_articulo.php",
    data: "&art_referencia="+art_referencia+"&precio_venta="+precio_venta+"&cantidad="+cantidad+"&art_iva="+art_iva+"&descuento="+descuento+"&nombre="+nombre+"&art_id="+art_id+"&vena_id="+vena_id+"&art_art_id="+art_art_id+"&tipo="+tipo,
    beforeSend: function(objeto){
    $("#tabla").html("Mensaje: Cargando...");
    },
    success: function(datos){
    $("#tabla").html(datos);
    loadtabla();
    }
    });
}
</script>
</body></html>

<?php
        }
        else
        {
            echo '<script>alert("primero debes Abrir caja")</script>';
            echo '<script> setTimeout("history.back(1)", 0); </script>';
        }
    }
    else
    {
        echo '<script>alert("No tienes permiso para ver esta pagina")</script>';
        echo '<script> setTimeout("history.back(1)", 0); </script>';
    }
} 
else
{
    echo '<script>location.href = "index.php";</script>';
}
?>